petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscCommBuildTwoSidedSetType

set algorithm to use when building two-sided communication

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommBuildTwoSidedSetType(MPI_Comm comm,PetscBuildTwoSidedType twosided)

Logically Collective

### Input Arguments

| comm | - PETSC_COMM_WORLD
| twosided | - algorithm to use in subsequent calls to PetscCommBuildTwoSided()

### Note

This option is currently global, but could be made per-communicator.

### See Also

PetscCommBuildTwoSided(), PetscCommBuildTwoSidedGetType()

### Level

developer

### Location

src/sys/utils/mpits.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages